Bug 815965 - [eap6] cannot create deployment on server group
[eap6] cannot create deployment on server group
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
4.4
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-04-24 18:08 EDT by Libor Zoubek
Modified: 2015-11-01 19:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:15:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2012-04-24 18:08:21 EDT
Description of problem: WAR deployment child resource could not be created on server group level.


Version-Release number of selected component (if applicable):
Version: 4.4.0-SNAPSHOT
Build Number: 5ffafd2
EAP6 ER5

How reproducible:always


Steps to Reproduce:
1.import EAP6 in domain mode
2.navigate to main-server-group
3.create deployment child
  
Actual results:creation fails
java.lang.IllegalArgumentException: Management host cannot be null.
	at org.rhq.modules.plugins.jbossas7.ASUploadConnection.<init>(ASUploadConnection.java:68)
	at org.rhq.modules.plugins.jbossas7.BaseComponent.deployContent(BaseComponent.java:365)
	at org.rhq.modules.plugins.jbossas7.BaseComponent.createResource(BaseComponent.java:319




Expected results:deployment is created on server group


Additional info:
Comment 1 Heiko W. Rupp 2012-04-30 04:51:31 EDT
No real blocker, as the deployment can be created on domain level and then promoted to a server group
Comment 2 Heiko W. Rupp 2012-05-02 05:48:45 EDT
What exactly were you doing (describe the steps). I have just gone to the main-server-group, inventory tab and was very well able to deploy a war file there.
Comment 3 Libor Zoubek 2012-05-02 09:47:40 EDT
Version: 4.4.0-SNAPSHOT Build Number: 2484565

I just did the same (and I did the same when reproduced this BZ) and I see no issue here anymore
Comment 4 Heiko W. Rupp 2013-09-02 03:15:17 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.